=== debian/control ===
Source: ros-melodic-jsk-pcl-ros-utils
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libyaml-cpp-dev, python-yaml, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-eigen-conversions, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-image-view2, ros-melodic-interactive-markers, ros-melodic-jsk-data, ros-melodic-jsk-footstep-msgs, ros-melodic-jsk-recognition-msgs, ros-melodic-jsk-recognition-utils, ros-melodic-jsk-tools, ros-melodic-jsk-topic-tools, ros-melodic-kdl-conversions, ros-melodic-kdl-parser, ros-melodic-laser-assembler, ros-melodic-message-generation, ros-melodic-moveit-core, ros-melodic-moveit-ros-perception, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-octomap-ros, ros-melodic-octomap-server, ros-melodic-pcl-conversions, ros-melodic-pcl-msgs, ros-melodic-pcl-ros, ros-melodic-robot-self-filter, ros-melodic-rosboost-cfg, ros-melodic-roscpp-tutorials, ros-melodic-roslaunch, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-msgs, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-tf2-ros, ros-melodic-visualization-msgs
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/jsk_pcl_ros_utils
Standards-Version: 3.9.2

Package: ros-melodic-jsk-pcl-ros-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, python-sklearn, ros-melodic-compressed-depth-image-transport, ros-melodic-compressed-image-transport, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-eigen-conversions, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-image-view, ros-melodic-image-view2, ros-melodic-interactive-markers, ros-melodic-jsk-data, ros-melodic-jsk-footstep-msgs, ros-melodic-jsk-recognition-msgs, ros-melodic-jsk-recognition-utils, ros-melodic-jsk-topic-tools, ros-melodic-kdl-conversions, ros-melodic-kdl-parser, ros-melodic-laser-assembler, ros-melodic-message-runtime, ros-melodic-moveit-core, ros-melodic-moveit-ros-perception, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-octomap-ros, ros-melodic-octomap-server, ros-melodic-openni2-launch, ros-melodic-pcl-conversions, ros-melodic-pcl-msgs, ros-melodic-pcl-ros, ros-melodic-robot-self-filter, ros-melodic-rosbag, ros-melodic-rosboost-cfg, ros-melodic-roscpp-tutorials, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-msgs, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-tf2-ros, ros-melodic-visualization-msgs
Description: ROS utility nodelets for pointcloud perception.
